## org.apache.lucene.facet.search.cache
Class CategoryListCache

    java.lang.Object
      org.apache.lucene.facet.search.cache.CategoryListCache

    public class CategoryListCache

extends Object

Cache for `CategoryListData`, per `CategoryListParams`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`CategoryListCache()`

Method Summary
`CategoryListData` `get(CategoryListParams clp)` Fetch the cached `CategoryListData` for a given `CategoryListParams`.
`void` `loadAndRegister(CategoryListParams clp, IndexReader reader, TaxonomyReader taxo, FacetIndexingParams iparams)` Load and register `CategoryListData`.
`void` `register(CategoryListParams clp, CategoryListData clData)` Register a pre-computed `CategoryListData`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryListCache

    public CategoryListCache()

Method Detail

### get

    public CategoryListData get(CategoryListParams clp)

  Fetch the cached `CategoryListData` for a given `CategoryListParams`.

### register

    public void register(CategoryListParams clp,
                         CategoryListData clData)

  Register a pre-computed `CategoryListData`.

### loadAndRegister

    public void loadAndRegister(CategoryListParams clp,
                                IndexReader reader,
                                TaxonomyReader taxo,
                                FacetIndexingParams iparams)
                         throws IOException

  Load and register `CategoryListData`.

  Throws:
    `IOException`